# This file is executed on every boot (including wake-boot from deepsleep)
#import esp
#esp.osdebug(None)

# Disable built-in WiFi access point
import network
wifi_ap = network.WLAN(network.AP_IF)
wifi_ap.active(False)
del wifi_ap
del network

# Load configuration data from file
import ujson
with open('config.json', encoding='utf8') as fd:
    CONFIG = ujson.load(fd)
del ujson

# Define input handler
import quadrature
input_handler = quadrature.Encoder(0, 4)
del quadrature

# Set up LED pins
from machine import Pin, Signal
led_red1 = Signal(CONFIG['pins']['led_1'], Pin.OUT, value=0, invert=False)
led_red2 = Signal(CONFIG['pins']['led_2'], Pin.OUT, value=0, invert=False)
led_green = Signal(CONFIG['pins']['led_3'], Pin.OUT, value=0, invert=False)
del Pin, Signal

# Clean up temporary setup variables
import gc
gc.collect()
del gc
